Name:           topdax
Version:        0.3.1
Release:        1%{?dist}
Summary:        Simple Linux application that renders triangle using Vulkan API

License:        WTFPL
URL:            https://github.com/souryogurt/%{name}
Source0:        https://github.com/souryogurt/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
# gl.h required to use glfw
BuildRequires:  libGL-devel
BuildRequires:  glfw-devel
BuildRequires:  vulkan-devel

%description
Simple Linux application that renders triangle using Vulkan API.

%prep
%autosetup

%build
%configure
%make_build

%check
make check

%install
%make_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Tue Dec 25 2018 Egor Artemov <egor.artemov@gmail.com> - 0.3.1-1
- LICENSE file now not installed as documentation


* Mon Dec 24 2018 Egor Artemov <egor.artemov@gmail.com> - 0.3.0-1
- Clearing window using Vulkan
- Added SonarCube tests
- Adding debug messages from Vulkan validation layers
- Replaced libcheck by cgreen
- Removed dependency on pkg-config. Using autoconf tests instead.


* Fri Feb 23 2018 egor.artemov@gmail.com - 0.1.0-2
- Changed libcheck version

* Sun Feb 11 2018 Egor Artemov <egor.artemov@gmail.com> - 0.1.0-1
- First topdax package
